Notes d'installation Debian de la version 20060825

Voici un rapport d’utilisateur qui fournit quelques éléments aux personnes installant avec le CDROM 20060825 sur une Debian. Notez que l’utilisateur avec pré-ajouté les paquets -dev sur son système au lieu de laisser l’installateur les trouver. C’est une manière parfaitement acceptable – et souvent préférable – de traiter les dépendances de gEDA.

Just completed an install on my main desktop box which is Debian
etch/testing with patches of sid/unstable.

Lib packages I had to add to my system:
        * libreadline5-dev
        * libgd1-xpm-dev
        * libwxgtk2.6-dev
        * libgtk1.2-dev (compile failed because of missing gtk-config.
          Configure did not seem to check for it.)
        * I needed to install guile-1.6-dev rather than libguile-dev.
          Else the installer fails to find scm_make_smob_type.

On my system /usr/lib/libqthreads.so pointed to a non existing 
/usr/lib/libqthreads.so.12.3.1 This may be a bug in Debians packaging
rules. Thus the installer failed with:
        gcc: /usr/lib/libqthreads.so: No such file or directory make[2]:*** [libgeda.la] Error 1
I resolved the issue by faking a link:
        sudo ln -s libqthreads.so.12.3.0 libqthreads.so.12.3.1